Bug 1461120 - Traceback seen in uninstall logfile for ipa-server
Traceback seen in uninstall logfile for ipa-server
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
ipa-qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 10:36 EDT by Sudhir Menon
Modified: 2018-06-20 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir Menon 2017-06-13 10:36:28 EDT
Description of problem: Traceback seen in uninstall logfile for ipa-server 


Version-Release number of selected component (if applicable):
ipa-server-4.5.0-16.el7.x86_64

How reproducible: Always


Steps to Reproduce:
1. Install IPA server
2. Uninstall IPA server and check /var/log/ipaserver-uninstall.log

Actual results: The uninstall log file does show traceback even though the uninstall went fine.

2017-06-13T09:01:23Z DEBUG args=/usr/sbin/ipa-client-install --on-master --unattended --uninstall
2017-06-13T09:01:25Z DEBUG Process finished, return code=0
2017-06-13T09:01:25Z DEBUG Traceback (most recent call last):
File "/usr/lib/python2.7/site-packages/ipapython/install/common.py", line 91, in _handle_execute_exception 
super(Continuous, self)._handle_execute_exception(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 463, in _handle_execute_exception
self._handle_exception(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 453, in _handle_exception
six.reraise(*exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 424, in __runner
step()
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 421, in <lambda>
step = lambda: next(self.__gen)
File "/usr/lib/python2.7/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
six.reraise(*exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
value = gen.send(prev_value)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 658, in _configure
next(executor)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 434, in __runner
exc_handler(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 463, in _handle_execute_exception
self._handle_exception(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 521, in _handle_exception
self.__parent._handle_exception(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 453, in _handle_exception
six.reraise(*exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 518, in _handle_exception
super(ComponentBase, self)._handle_exception(exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 453, in _handle_exception
six.reraise(*exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 424, in __runner
step()
File "/usr/lib/python2.7/site-packages/ipapython/install/core.py", line 421, in <lambda>
step = lambda: next(self.__gen)
File "/usr/lib/python2.7/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
six.reraise(*exc_info)
File "/usr/lib/python2.7/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
value = gen.send(prev_value)
File "/usr/lib/python2.7/site-packages/ipapython/install/common.py", line 71, in _uninstall
for _nothing in self._uninstaller(self.parent):
File "/usr/lib/python2.7/site-packages/ipaserver/install/server/__init__.py", line 584, in main
uninstall(self)
File "/usr/lib/python2.7/site-packages/ipaserver/install/server/install.py", line 250, in decorated
func(installer)
File "/usr/lib/python2.7/site-packages/ipaserver/install/server/install.py", line 1164, in uninstall
sys.exit(rv)
SystemExit: 0
   
2017-06-13T09:01:25Z INFO The ipa-server-install command was successful

Expected results: Logging this as a bug, because the traceback contradicts the last message "ipa-server-install" command was successful which is displayed in the log.

Although the SystemExit code is 0, If we can fix this we can have a clean uninstall log file.

Additional info:
Comment 2 Petr Vobornik 2017-06-16 06:45:52 EDT
Upstream ticket:
https://pagure.io/freeipa/issue/7022

Note You need to log in before you can comment on or make changes to this bug.